// Chad Nelson

#include "Utilities.h"
#include "WallSegment.h"
#include "Pellet.h"

class Board : public Drawable {
  public:
	int width;
	int height;
	vector<WallSegment *> walls;
	vector<WallSegment *> objects;
	list<Pellet *> pellets;
	int level;

	Board();
	void loadLevel(int l);
	void draw();
	void draw2D();
	void drawOddSquares();
	void drawEvenSquares();

  private:
	void createWalls();
};