// Chad Nelson

#include "Utilities.h"
#include "Snake.h"
#include "Board.h"
#include "Player.h"
#include "Menu.h"

class Game : public Drawable {
  public:
	Snake *snake;
	Board *board;
	Player *player;
	Menu *menu;
	int turn;
	int difficulty;
	int zoom;
	float zoom_level;
	int camera;
	int score;
	int highscore;
	int lives;
	int minimap;
	bool pause;
	int menu_in_use;
	Point2D *cine;

	Game();
	void reset();
	void update();
	void draw();
	void draw2D();
	void changeDifficulty(int d);
	void setLevel(int l);
	

  private:
	void drawText(int x, int y, char* text);
	void loseLife();
	int frame_count;
};
