// Chad Nelson

#include "Player.h"

Player::Player() {
	se = createIrrKlangDevice();
	track = 0;
}

Player::~Player() {
	se->drop();
}

bool Player::isPlayingIntro() {
	return se->isCurrentlyPlaying("sounds/Intro.mp3");
}

bool Player::isPlayingDeath() {
	return se->isCurrentlyPlaying("sounds/PacmanEaten.mp3");
}

bool Player::isPlayingLevel() {
	return se->isCurrentlyPlaying("sounds/MonsterEaten.mp3");
}

void Player::playIntro() {
	se->play2D("sounds/Intro.mp3");
}

void Player::playEat() {
	se->play2D("sounds/PelletEat2.mp3");
}

void Player::playDeath() {
	se->play2D("sounds/PacmanEaten.mp3");
}

void Player::playLevel() {
	se->play2D("sounds/MonsterEaten.mp3");
}

void Player::updateBG() {
	switch (track) {
		case 0:
			if (!se->isCurrentlyPlaying("sounds/genesis.mp3")) {
				se->play2D("sounds/music.mp3");
				track++;
			}
			break;
		case 1:
			if (!se->isCurrentlyPlaying("sounds/music.mp3")) {
				se->play2D("sounds/genesis.mp3");
				track++;
			}
			break;
		default:
			track = 0;
	}
	
}