// Chad Nelson

#include "include/irrKlang.h"
#include <string>

using namespace irrklang;

// Sound library
#pragma comment(lib, "irrKlang.lib")

class Player {
  public:
	Player();
	~Player();
	bool isPlayingIntro();
	bool isPlayingDeath();
	bool isPlayingLevel();
	void playIntro();
	void playEat();
	void playDeath();
	void playLevel();
	void updateBG();
	

  private:
	int track;
	ISoundEngine* se;
};